Message Queue, v4.4 API Specification

## com.sun.messaging.jms.management.server
Class TransactionInfo

    java.lang.Object
      com.sun.messaging.jms.management.server.TransactionInfo

All Implemented Interfaces:
  java.io.Serializable

    public class TransactionInfo

extends java.lang.Object
implements java.io.Serializable

This class contains constants/names for fields in the CompositeData that is returned by the operations of the Transaction Manager Monitor MBean.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `CLIENT_ID` Client ID
`static java.lang.String` `CONNECTION_STRING` Object name of Connection
`static java.lang.String` `CREATION_TIME` Creation time
`static java.lang.String` `NUM_ACKS` Number of acknowledgements
`static java.lang.String` `NUM_MSGS` Number of messages
`static java.lang.String` `STATE` Transaction state.
`static java.lang.String` `STATE_LABEL` String representation of transaction state.
`static java.lang.String` `TRANSACTION_ID` Transaction ID
`static java.lang.String` `USER` User name
`static java.lang.String` `XID` XID

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLIENT_ID

    public static final java.lang.String CLIENT_ID

  Client ID

  See Also:
    Constant Field Values

### CONNECTION_STRING

    public static final java.lang.String CONNECTION_STRING

  Object name of Connection

  See Also:
    Constant Field Values

### CREATION_TIME

    public static final java.lang.String CREATION_TIME

  Creation time

  See Also:
    Constant Field Values

### NUM_ACKS

    public static final java.lang.String NUM_ACKS

  Number of acknowledgements

  See Also:
    Constant Field Values

### NUM_MSGS

    public static final java.lang.String NUM_MSGS

  Number of messages

  See Also:
    Constant Field Values

### STATE

    public static final java.lang.String STATE

  Transaction state.

  See Also:
    Constant Field Values

### STATE_LABEL

    public static final java.lang.String STATE_LABEL

  String representation of transaction state.

  See Also:
    Constant Field Values

### TRANSACTION_ID

    public static final java.lang.String TRANSACTION_ID

  Transaction ID

  See Also:
    Constant Field Values

### USER

    public static final java.lang.String USER

  User name

  See Also:
    Constant Field Values

### XID

    public static final java.lang.String XID

  XID

  See Also:
    Constant Field Values

Message Queue, v4.4 API Specification

Copyright 2009 Sun Microsystems, Inc.
4150 Network Circle, Santa Clara, CA 95054, U.S.A. All Rights Reserved.